Bug 800773 - Spice console isn't opened on Windows 7 in IE8/IE9
Spice console isn't opened on Windows 7 in IE8/IE9
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1
Assigned To: Daniel Erez
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 03:15 EST by Tomas Dosek
Modified: 2012-08-09 04:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Dosek 2012-03-07 03:15:14 EST
Description of problem:
Spice console isn't opened on Windows 7 in IE8/IE9. When user tries to open the same console from the same browser to the same VM from User Portal, it works fine.


Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.0.0_0001-3.git4364f1b.fc16.x86_64

How reproducible:
100 %

Steps to Reproduce:
1. Have a windows 7 client with either IE8 or IE9 
2. Try to connect to a VM from webadmin portal using spice console
  
Actual results:
Connection isn't opened, nothing is logged - backend log show that SetVMTicket operation finished successfully.

Expected results:
User should be connected to the VM

Additional info:
Comment 1 Tomas Jelinek 2012-03-07 03:29:29 EST
Possible cause can be, that UserPortal uses it's own:
org.ovirt.engine.ui.userportal.client.uicommonext.SpiceInterfaceImpl 
while webadmin the one from uicommon:
org.ovirt.engine.ui.common.uicommon.SpiceInterfaceImpl

In c2a6d76c517ac83d78d513e04b360b481342253f the UserPortal implementation has been ported to uicommon (so webadmin uses it) but this port may miss something or the tested build does not contain this change.
Comment 2 Daniel Erez 2012-05-14 09:08:44 EDT
git commit 17a7cf52d04fb270481b61576df1e950228b69f0
Comment 3 Itamar Heim 2012-08-09 04:00:44 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.